﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Chart;
using System.Windows.Threading;
//using Syncfusion.Windows.Controls;
using System.Globalization;
using Syncfusion.Windows.Shared;
namespace Drag_Drop_Datapoints
{
    public partial class Window1 : Window
    {
        double index;
        ObservableCollection<Measure> measurments = new ObservableCollection<Measure>();        
        public Window1()
        {
            InitializeComponent();
            this.CreateDatas();
            area.Series[0].DataSource = measurments;
            area.Series[0].BindingPathX = "X";
            area.Series[0].BindingPathsY = new string[] { "Y" };            
            area.MouseLeftButtonDown += new MouseButtonEventHandler(area_MouseLeftButtonDown);
            area.MouseLeftButtonUp += new MouseButtonEventHandler(area_MouseLeftButtonUp);
        }

        private void area_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {            
                ChartArea SER = sender as ChartArea;
                ChartSeries s = sender as ChartSeries;
                s = area.Series[0];
                if (e.Source.Equals(sender))
                {
                    Point pt = e.GetPosition(area.Series[0]);
                    int XM = int.Parse((SER.PointToValue(s.XAxis, pt)).ToString("#"));                    
                    index = XM;
                }

        }
        public void CreateDatas()
        {
            for (int j = 0; j < 8; j++)
            {
                measurments.Add(new Measure() { X = j, Y = j + 10 });
            }
        }
        private void area_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
                ChartArea SER = sender as ChartArea;
                ChartSeries s = sender as ChartSeries;
                s = area.Series[0];
                if (e.Source.Equals(sender))
                {
                    Point pt = e.GetPosition(area.Series[0]);
                    double XM = (SER.PointToValue(SER.PrimaryAxis, pt));
                    double YM = (SER.PointToValue(SER.SecondaryAxis, pt));
                    for (int h = 0; h < measurments.Count; h++)
                    {
                        if (h == index)
                        {
                            measurments[h].X = double.NaN;
                            measurments[h].Y = double.NaN;
                            measurments[h].X = XM;
                            measurments[h].Y = YM;
                            ChartSeries cs = new ChartSeries();
                            cs.Type = ChartTypes.Line;
                            cs.Interior = Brushes.Blue;
                            cs.DataSource = measurments;
                            cs.IsIndexed = false;
                            cs.BindingPathX = "X";
                            cs.BindingPathsY = new string[] { "Y" };           
                            
                            area.PrimaryAxis.Range = new DoubleRange(0, measurments.Count);                           
                            area.Series.Clear();
                            area.Series.Add(cs);
                            ChartAdornmentInfo adornments = new ChartAdornmentInfo();
                            adornments.LabelContentPath = "DataPoint.Y";
                            adornments.Visible = true;
                            adornments.SymbolTemplate = this.Resources["Symbol"] as DataTemplate;
                            adornments.SegmentLabelFontSize = 30;
                            area.Series[0].AdornmentsInfo = adornments;
                            break;
                        }
                    }
                }            

        }        
    }
    public class Measure
    {       
        public double X
        {
            get;
            set;
        }
        public double Y
        {
            get;
            set;
        }        
    }    
}
